<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [tprint](./bitburner.ns.tprint.md)

## NS.tprint() method

Prints one or more values or variables to the Terminal.

**Signature:**

```typescript
tprint(...args: any[]): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

args


</td><td>

any\[\]


</td><td>

Value(s) to be printed.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

See [print](./bitburner.ns.print.md) for how to add color to your printed strings.

